Skip to main content
GET
/
audits
/
{auditId}
/
information-requests
/
{requestId}
/
evidence
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";

const vanta = new Vanta({
  bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await vanta.audits.listInformationRequestEvidence({
    auditId: "<id>",
    requestId: "<id>",
  });

  console.log(result);
}

run();
package hello.world;

import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.operations.ListInformationRequestEvidenceRequest;
import com.vanta.vanta_auditor_api.models.operations.ListInformationRequestEvidenceResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws Exception {

        Vanta sdk = Vanta.builder()
                .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
            .build();

        ListInformationRequestEvidenceRequest req = ListInformationRequestEvidenceRequest.builder()
                .auditId("<id>")
                .requestId("<id>")
                .build();

        ListInformationRequestEvidenceResponse res = sdk.audits().listInformationRequestEvidence()
                .request(req)
                .call();

        if (res.paginatedResponseInformationRequestEvidence().isPresent()) {
            System.out.println(res.paginatedResponseInformationRequestEvidence().get());
        }
    }
}
curl --request GET \
  --url https://api.vanta.com/v1/audits/{auditId}/information-requests/{requestId}/evidence \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vanta.com/v1/audits/{auditId}/information-requests/{requestId}/evidence"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vanta.com/v1/audits/{auditId}/information-requests/{requestId}/evidence', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "results": {
    "data": [
      {
        "id": "6890e473dce1da5d8406f5e8",
        "evidenceType": "UPLOADED_DOCUMENT",
        "visibleToAuditorDate": "2025-10-16T12:00:00.000Z",
        "creationDate": "2025-10-15T10:30:00.000Z",
        "modificationDate": "2025-10-16T12:00:00.000Z",
        "deletionDate": null,
        "evidence": {
          "id": "6890e473dce1da5d8406f5ea",
          "filename": "security-policy.pdf",
          "mimeType": "application/pdf",
          "url": "https://example.com/presigned-url"
        }
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "Njg5MGU0NzNkY2UxZGE1ZDg0MDZmNWU4",
      "endCursor": "Njg5MGU0NzNkY2UxZGE1ZDg0MDZmNWU4"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required
requestId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Maximum number of evidence entries to return per page. Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

Pagination cursor from a previous response. Provide to fetch the next page of evidence. A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

changedSinceDate
string<date-time>

Includes all evidence that have changed since changedSinceDate. Considers creationDate, modificationDate, deletionDate, and visibleToAuditorDate timestamps when determining changes.

evidenceTypeMatchesAny
enum<string>[]

Limits results to the provided evidence types. Must include at least one of: UPLOADED_DOCUMENT, OBSERVATION, LINK, VANTA_DOCUMENT, VANTA_POLICY, VANTA_TEST, VANTA_TEST_SNAPSHOT.

Available options:
UPLOADED_DOCUMENT,
OBSERVATION,
LINK,
VANTA_DOCUMENT,
VANTA_POLICY,
VANTA_TEST,
VANTA_TEST_SNAPSHOT

Response

200 - application/json

Ok

results
object
required